#cs #############################################################

	AutoIt Version: 3.2.2.0
	
	Author: DjBasslord(Hubert Schller)
	
	Function: Here are some additonal Autowriter scriptfunctions
		This programm only runs with parameters! Use:
			/enable		to display a enable message
			/disable	to dispaly a disable message
			/mini		to minimize a current running autowriterscript
			/shutdown  	to display the shutdownmenu
	
	Requirements: 	_ButtonHover.au3
					Autowriter.exe or Autowriter.au3
					Autowriter.ini and you'll need the shutdown icons
	
	Version: 1.2

	Date: 06.04.2007

#ce ############################################################

;###############################################################
;Here are some functions
;###############################################################
Opt("RunErrorsFatal",0)
Opt("TrayIconDebug",1)
;~ #NoTrayIcon
#include <guiconstants.au3>
#include <misc.au3>
#include <_ButtonHover.au3>
$reg = RegRead("HKCU\Software\Autowriter","InstallLocation")
ConsoleWrite($REG)
If $reg = "" Then $reg = @ScriptDir
If $cmdline[0] = 0 then Exit
ConsoleWrite($cmdline[1])
If $cmdline[1] = "enable" 		Then enable()
If $cmdline[1] = "disable" 		Then disable()
If $cmdline[1] = "Shutdown" 	Then shutdownmenu()
If $cmdline[1] = "Mini" 		Then Mini()
	
Func show($Text)
	If $cmdline[0] = 0 then Exit
	Opt("WinTitleMatchMode", 4)
	$taskbar_pos = WinGetPos("classname=Shell_TrayWnd")
	$taskbar_pos = $taskbar_pos[3]
	Opt("WinTitleMatchMode", 1)
	$color = IniRead($reg&"\Autowriter.ini","color","color","Gelb")
	Switch $Color
		Case "Blau"
			$Farbe = 0x0021FF
		Case "Gelb"
			$Farbe = 0xFFFF00
		Case "Rot"
			$Farbe = 0xFF1500
		Case "Grn"
			$Farbe = 0x00CE0D
		Case "Wei"
			$Farbe = 0xFFFFFF
		Case "Hellblau"
			$Farbe = 0x68D1FF	
	EndSwitch
	$ADD = GUICreate("Hotkeys",200,60,0,@DesktopHeight-$taskbar_pos-60,$WS_POPUP,BitOR($WS_EX_TOPMOST,$WS_EX_TOOLWINDOW))
	GUISetBkColor($Farbe)
	GUISetFont(-1,-1,-1,"COMIC SANS MS")
	GUICtrlCreateGroup("Hotkeys",5,5,190,50)
	GUICtrlCreateLabel($Text,20,25,160,20)
	GUICtrlSetFont(-1,10)
	DllCall("user32.dll", "int", "AnimateWindow", "hwnd", $ADD, "int", 500, "long", 0x00040008)
	GUISetState()
	Sleep(3000)
	DllCall("user32.dll", "int", "AnimateWindow", "hwnd", $ADD, "int", 500, "long", 0x00050004)
	GUIDelete($ADD)
EndFunc

Func enable()
	$txt = "Die Hotkeys sind aktiv!"
	show($txt)
EndFunc

Func disable()
	$txt = "Die Hotkeys sind deaktiv!"
	show($txt)
EndFunc
Func shutdownmenu()
	$color = IniRead($reg&"\Autowriter.ini","color","color","Gelb")
	Switch $Color
		Case "Blau"
			$Farbe = 0x0021FF
		Case "Gelb"
			$Farbe = 0xFFFF00
		Case "Rot"
			$Farbe = 0xFF1500
		Case "Grn"
			$Farbe = 0x00CE0D
		Case "Wei"
			$Farbe = 0xFFFFFF
		Case "Hellblau"
			$Farbe = 0x68D1FF	
	EndSwitch
	$XButton_Location  = $reg&"\Data\Button\"&$color
	While 1
		Sleep(100)
		If _IsPressed(IniRead("Autowriter.ini","hotkeys","shutdown","7B"),"user32.dll") Then
			$GUI = GUICreate("",300,170,-1,-1,$WS_POPUP)
			GUISetState()
			GUISetBkColor($Farbe)
			GUICtrlCreateGroup("Shutdown",5,5,290,85)
			GUICtrlCreateGroup("Befehle",5,95,290,50)
			GUICtrlCreateIcon($reg&"\data\icon\shutdown.ico","",125,20,48,48)
			GUICtrlCreateIcon($reg&"\data\icon\standby.ico","",70,20,48,48)
			GUICtrlCreateIcon($reg&"\data\icon\restart.ico","",15,20,48,48)
			GUICtrlCreateIcon($reg&"\data\icon\logoff.ico","",180,20,48,48)
			GUICtrlCreateIcon($reg&"\data\icon\swap.ico","",235,20,48,48)
			$3 = GUICtrlCreateLabel("3",145,70,15,15)
			GUICtrlSetFont(-1,12)
			$2 = GUICtrlCreateLabel("2",90,70,15,15)
			GUICtrlSetFont(-1,12)
			$1 = GUICtrlCreateLabel("1",35,70,15,15)
			GUICtrlSetFont(-1,12)
			$4 = GUICtrlCreateLabel("4",200,70,15,15)
			GUICtrlSetFont(-1,12)
			$5 = GUICtrlCreateLabel("5",255,70,15,15)
			GUICtrlSetFont(-1,12)
			$min = _HoverButton("Abbruch",90,110,120,27)
			GUICtrlCreateLabel("Developed and  Copyright by DJBasslord(Hubert Schller)",7,150,290,20) 
			GUISetBkColor(-1,$Farbe)
			GUICtrlSetFont(-1,8.8)
			GUISetState()
			$dll = DllOpen("user32.dll")
			While 1
				_CheckHoverAndPressed($GUI)
				If GUIGetMsg() = $min Then
					Sleep(200)
					DllClose($dll)
					ExitLoop
				EndIf
				If _IsPressed(61,$dll) Or _IsPressed(31,$dll) Then Shutdown(2)
				If _IsPressed(62,$dll) Or _IsPressed(32,$dll) Then Shutdown(64)
				If _IsPressed(63,$dll) Or _IsPressed(33,$dll) Then Shutdown(1)
				If _IsPressed(64,$dll) Or _IsPressed(34,$dll) Then Shutdown(0)
				If _IsPressed(65,$dll) Or _IsPressed(35,$dll) Then Send("#l")
				Sleep(100)
			WEnd
			GUIDelete($GUI)
			Sleep(100)
		EndIf
	WEnd
EndFunc
Func Mini()
	Sleep(1000)
	ControlClick("Autowriter","",27)
EndFunc